using CPF.Drawing;
using Oraycn.ChatRendering;
using System.Collections.Generic;

namespace OVCS.ClientLinux.Tools
{
    public class RenderDataProvider : IRenderDataProvider
    {

        public RenderDataProvider()
        {

        }
        public string GetSpeakerDisplayName(string speakerID)
        {
            return speakerID;
        }

        public string GetUserName(string userID)
        {
            return userID;
        }

        public object GetUserHeadImage(string speakerID)
        {
            return CommonHelper.GetUserHead4ID(speakerID);
        }


        public object GetImageOfFileType(string fileExtendName)
        {
            return CommonHelper.GetFileIconBitmap(fileExtendName);
        }

        public string GetFilePathToSave(string fileName)
        {
            return CommonHelper.GetFilePathToSave(fileName);
        }

        public Dictionary<int, object> GetEmotions()
        { 
            return GlobalResourceManager.EmotionDictionary;
        }

        public object GetImageOfSendFailed()
        {
            return CPF.Styling.ResourceManager.ErrorImage;
        }

        public object GetImageOfVideoCall()
        {
            return CommonHelper.FindAssetsBitmap("audioCall.png");
        }

        public object GetImageOfAudioCall()
        {
            return CommonHelper.FindAssetsBitmap("videoCall.png");
        }
    }
}
